Package org.apache.commons.collections4

# Interface BoundedMap<K,V>

Type Parameters:
  `K` - The type of the keys in this map.
  `V` - The type of the values in this map.

All Superinterfaces:
  `Get<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `Map<K,V>`, `Put<K,V>`

All Known Implementing Classes:
  `FixedSizeMap`, `FixedSizeSortedMap`, `LRUMap`, `SingletonMap`

public interface BoundedMap<K,V> extends IterableMap<K,V>
Defines a map that is bounded in size.

The size of the map can vary, but it can never exceed a preset maximum number of elements. This interface allows the querying of details associated with the maximum number of elements.

Since:
  3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isFull()`
  Returns true if this map is full and no new elements can be added.
  `int`
  `maxSize()`
  Gets the maximum size of the map (the bound).

  ### Methods inherited from interface org.apache.commons.collections4.Get

  `containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

  ### Methods inherited from interface org.apache.commons.collections4.IterableGet

  `mapIterator`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from interface org.apache.commons.collections4.Put

  `clear, put, putAll`

- ## Method Details

  - ### isFull

    boolean isFull()
    Returns true if this map is full and no new elements can be added.
    Returns:
      `true` if the map is full.

  - ### maxSize

    int maxSize()
    Gets the maximum size of the map (the bound).
    Returns:
      The maximum number of elements the map can hold.